# Add Reconciliation

Creates a new FundingReconcile along with attaching any Checks/Deposits identified.

Endpoint: POST /funding-reconciliation-add
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Request fields (application/json):

  - `reconcile_Key` (integer)

  - `account_Key` (integer)

  - `begin_Date` (string)

  - `begin_Balance` (number)

  - `statement_Date` (string)

  - `statement_Balance` (number)

  - `user_ID` (string)

  - `electronic_Statements` (array)

  - `electronic_Statements.transaction_ID` (string)
    The unique ID of the Debit/Credit being submitted.  For a debit it would be the Check # or ACH Trans ID and for a credit it would be the Deposit ID.

  - `electronic_Statements.transaction_Type` (string)
    For Checks set this value to "DEBIT", for Deposits set this value to "CREDIT".

  - `electronic_Statements.transaction_Date` (string)
    The Check Date or Deposit date depending on Transaction_Type

  - `electronic_Statements.transaction_Amount` (number)
    The Check Amount or Deposit Amount depending on Transaction_Type

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `data.reconcile_Key` (integer, required)
    ID of the reconciliation. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.account_Key` (integer, required)
    ID of the account associated with the reconciliation. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.begin_Balance` (number)
    Beginning balance of the reconciliation

  - `data.begin_Date` (string)
    Beginning Date of the reconciliation.

  - `data.electronic_Statement` (boolean, required)
    Indicates that the associated reconciliation has an electronic statement. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.entry_Date` (string)
    Date record was first added to the system

  - `data.entry_User` (string)
    User that first added the record to the system

  - `data.reconcile_Date` (string, required)
    Date when the reconciliation occurred. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.reconcile_Status` (string)
    Most recent status of the reconciliation. 'Reconcile Statuses' are configured within 'Accounting Configuration'.

  - `data.reconcile_User` (string, required)
    User associated with the reconciliation

  - `data.statement_Balance` (number)
    Balance of the reconciliation statement

  - `data.statement_Date` (string)
    Date when the statement associated with the reconciliation was submitted.

  - `data.update_Date` (string)
    Date the record was last updated in the system

  - `data.update_User` (string)
    User that last updated the record in the system

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

